#!/bin/sh

echo "[anaconda_setup_py37.sh] Anaconda3 (py37) environment initialized"

if [ -e $HOME/anaconda3/etc/profile.d/conda.sh ]; then
    # Anaconda がインスール済みの環境
    if [ -z "$ANACONDA_PATHSET" ]; then
        export -n PYTHONPATH    # 設定クリア
        source $HOME/anaconda3/etc/profile.d/conda.sh

        if [ -e $HOME/workspace/lib ]; then
            export PYTHONPATH=$HOME/workspace/lib
        fi
        if [ -e $HOME/omz_demos_build/omz_demos.sh ]; then
            source ~/omz_demos_build/omz_demos.sh
        fi

        ANACONDA_PATHSET=$PYTHONPATH
    else
        echo " Anaconda3 environment already setup !!"
        if [ -n "$ANACONDA_PATHSET" ]; then
            export PYTHONPATH=$ANACONDA_PATHSET
        fi
    fi
    cd $HOME/workspace_py37
    conda activate py37
    conda info -e

    OPENVINO_PATHSET=    # OpenVINO 設定クリア
else
    # Anaconda が存在しないとき
    echo " Anaconda is not installed !!"
fi

export PYTHONPATH=$PYTHONPATH:$HOME/workspace_py37/mylib
echo " PYTHONPATH="
printenv PYTHONPATH
